Bug 513077 - pymol in Fedora 10/11 should be updated to 1.2 1r1 release and packaging fixed
Summary: pymol in Fedora 10/11 should be updated to 1.2 1r1 release and packaging fixed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pymol
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Fenn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-21 21:40 UTC by Need Real Name
Modified: 2009-11-30 20:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-30 20:59:08 UTC


Attachments (Terms of Use)

Description Need Real Name 2009-07-21 21:40:16 UTC
Description of problem:
Upstream has released version 1.2 of pymol and it is available as 1r1 from the pymol svn with...

svn -r3827 co https://pymol.svn.sourceforge.net/svnroot/pymol/trunk/pymol pymol-1.2

The existing pymol.spec is also flawed in that one demo is broken as well as the mutagenesis functionality. These can be fixed with the following change...

@@ -75,6 +75,9 @@
 cp -pr data/demo/il2.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
 cp -pr data/demo/pept.pdb ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
 cp -pr data/demo/pept.pkl ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/
+cp -pr data/chempy ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/chempy
+cp -pr data/pmg_tk ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/pmg_tk
+cp -pr data/tut  ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/tut
 chmod 644 ${RPM_BUILD_ROOT}%{python_sitearch}/pymol/pymol_path/data/demo/1tii.pdb

 mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

to the specfile. The data/chempy subdirectory contains the required files for the mutagenesis feature and the data/tut contains a pdb used by scripted animation demo.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. launch pymol from Fedora 10 or 11 and try to use either the scripted animation demo or the mutagenesis function.
2.
3.
  
Actual results:
These features are broken because of missing data files.

Expected results:
I expected both of these features to work.

Additional info:

Comment 1 Fedora Update System 2009-07-21 23:31:40 UTC
pymol-1.2-6.20090709svn3827.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pymol-1.2-6.20090709svn3827.fc11

Comment 2 Fedora Update System 2009-07-21 23:31:44 UTC
pymol-1.1-14.20081015svn3468.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pymol-1.1-14.20081015svn3468.fc10

Comment 3 Fedora Update System 2009-07-21 23:31:49 UTC
pymol-1.1-14.20081015svn3468.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/pymol-1.1-14.20081015svn3468.el5

Comment 4 Tim Fenn 2009-07-21 23:35:57 UTC
(In reply to comment #0)
> Description of problem:
> Upstream has released version 1.2 of pymol and it is available as 1r1 from the
> pymol svn with...
> 
> svn -r3827 co https://pymol.svn.sourceforge.net/svnroot/pymol/trunk/pymol
> pymol-1.2
> 

I updated F11 to the 1.2r1 release (backported from devel), but I'd like to leave F10 at the 1.1 branch to maintain stability.

> The existing pymol.spec is also flawed in that one demo is broken as well as
> the mutagenesis functionality. These can be fixed with the following change...
> 

fixed, thanks.

Comment 5 Need Real Name 2009-07-22 00:37:16 UTC
What makes you think that the 1.2 release is less stable than 1.1?  Also remember that 1.1 has broken mutagenesis functionality because of the missing data files. At the very least this should be fixed in Fedora 10.

Comment 6 Tim Fenn 2009-07-22 01:11:21 UTC
(In reply to comment #5)
> What makes you think that the 1.2 release is less stable than 1.1?

I meant it in terms of fedora release stability, not in terms of pymol.

>  Also
> remember that 1.1 has broken mutagenesis functionality because of the missing
> data files. At the very least this should be fixed in Fedora 10.  

See comment 2.

Comment 7 Fedora Update System 2009-08-05 17:25:10 UTC
pymol-1.1-14.20081015svn3468.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-08-08 19:27:19 UTC
pymol-1.2-6.20090709svn3827.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-08-08 19:31:55 UTC
pymol-1.1-14.20081015svn3468.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Bug Zapper 2009-11-18 12:10:32 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.